package com.nto.presentation.screens.profileScreen

import androidx.lifecycle.ViewModel
import androidx.navigation.NavController
import com.nto.data.utils.Destinations
import dagger.hilt.android.lifecycle.HiltViewModel
import kotlinx.coroutines.flow.MutableStateFlow
import kotlinx.coroutines.flow.StateFlow
import kotlinx.coroutines.flow.asStateFlow
import javax.inject.Inject

@HiltViewModel
class ProfileViewModel @Inject constructor() : ViewModel() {
    private val _state = MutableStateFlow(ProfileState())

    val state: StateFlow<ProfileState>
        get() = _state.asStateFlow()

    fun admin(navController: NavController) {
        //TODO
    }

    fun logout(navController: NavController) {
        //TODO
    }

    fun scan(navController: NavController) {
        navController.navigate(Destinations.Scan.toString())
    }

    fun option(navController: NavController) {
        navController.navigate(Destinations.Options.toString())
    }
}